Z value van point & Projectgeometry

  • Lammerts
  • Onderwerp Auteur
  • Berichten: 139

Z value van point & Projectgeometry werd gestart door Lammerts

Een handige manier om hoogten te 'prikken' van Solids in AutoCAD.
Veel plezier ermee.

youtu.be/M_mminy4FMg


(defun c:zpt ( / i p s )
(if (setq s (ssget '((0 . "POINT"))))
(repeat (setq i (sslength s))
(setq p (assoc 10 (entget (ssname s (setq i (1- i))))))
(entmake
(list
'(000 . "MTEXT")
'(100 . "AcDbEntity")
'(100 . "AcDbMText")
(cons 40 100) ; Height = 100
(CONS 7 "NLCS-ISO") ; Style has to exist is drawing
(cons 8 "X-XX_txt__ZPT") ; Layer for points, can be new
(cons 1 (strcat "" (rtos (cadddr p)))) ; Prefix between "" if you like
p
)
)
)
)
(princ)
)
28 juni 2016 14:50 #2921

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

  • Lammerts
  • Onderwerp Auteur
  • Berichten: 139

Beantwoord door Lammerts in topic Z value van point & Projectgeometry

Routine 'entity to points' met een 'multi-select' aangepast zodat meerdere objecten in één tegelijk worden verwerkt . Ondersteunde objecttype: LINE, ARC, SPLINE, LWPOLYLINE, ELLIPSE, 2D & 3D POLYLINE. De credits gaan naar Roy_043 (da's regio Maastricht ..;-)
29 juni 2016 17:10 #2924

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

  • Lammerts
  • Onderwerp Auteur
  • Berichten: 139

Beantwoord door Lammerts in topic Z value van point & Projectgeometry

Nieuwe routine gebasseerd op LM:ENTOPO
zodat deze in plaats van een point juist een dynamisch block kan invoegen.
Mooi spul hoor ;-)
Laatst bewerkt 01 juli 2016 15:04 door Lammerts.
01 juli 2016 15:04 #2927

Gelieve Inloggen of een account aanmaken om deel te nemen aan het gesprek.

Moderators: Pascal Wesolek